hmm_s Struct Reference

## Data Fields

hmm_context_t * | ctx
| Shared context data for this HMM.
int32 | score [HMM_MAX_NSTATE]
| State scores for emitting states.
int32 | history [HMM_MAX_NSTATE]
| History indices for emitting states.
int32 | out_score
| Score for non-emitting exit state.
int32 | out_history
| History index for non-emitting exit state.
uint16 | ssid
| Senone sequence ID (for non-MPX)
uint16 | senid [HMM_MAX_NSTATE]
| Senone IDs (non-MPX) or sequence IDs (MPX)
int32 | bestscore
| Best [emitting] state score in current frame (for pruning).
int16 | tmatid
| Transition matrix ID (see hmm_context_t).
frame_idx_t | frame
| Frame in which this HMM was last active; <0 if inactive.
uint8 | mpx
| Is this HMM multiplex? (hoisted for speed)
uint8 | n_emit_state
| Number of emitting states (hoisted for speed)

## Detailed Description

Definition at line 170 of file hmm.h.

## Field Documentation

## bestscore

int32 hmm_s::bestscore

Best [emitting] state score in current frame (for pruning).

Definition at line 178 of file hmm.h.

## ctx

hmm_context_t* hmm_s::ctx

Shared context data for this HMM.

Definition at line 171 of file hmm.h.

## frame

frame_idx_t hmm_s::frame

Frame in which this HMM was last active; <0 if inactive.

Definition at line 180 of file hmm.h.

## history

int32 hmm_s::history[HMM_MAX_NSTATE]

History indices for emitting states.

Definition at line 173 of file hmm.h.

## mpx

uint8 hmm_s::mpx

Is this HMM multiplex? (hoisted for speed)

Definition at line 181 of file hmm.h.

## n_emit_state

uint8 hmm_s::n_emit_state

Number of emitting states (hoisted for speed)

Definition at line 182 of file hmm.h.

## out_history

int32 hmm_s::out_history

History index for non-emitting exit state.

Definition at line 175 of file hmm.h.

## out_score

int32 hmm_s::out_score

Score for non-emitting exit state.

Definition at line 174 of file hmm.h.

## score

int32 hmm_s::score[HMM_MAX_NSTATE]

State scores for emitting states.

Definition at line 172 of file hmm.h.

## senid

uint16 hmm_s::senid[HMM_MAX_NSTATE]

Senone IDs (non-MPX) or sequence IDs (MPX)

Definition at line 177 of file hmm.h.

## ssid

uint16 hmm_s::ssid

Senone sequence ID (for non-MPX)

Definition at line 176 of file hmm.h.

## tmatid

int16 hmm_s::tmatid

Transition matrix ID (see hmm_context_t).

Definition at line 179 of file hmm.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/hmm.h